.TH ISDNRATE 1 "21.Sep.1999" -lt-
.SH NAME
isdnrate \- Print telefon rates and various info from rate\-files(5).
.SH SYNOPSIS
.BI "isdnrate \-b" best " \-d" day " \-f" from " \-h" hour " \-l" len
.BI " \-p" provs " \-t" takt " \-v" verbose " \-x" exclude
.BI " \-C \-D" det " -\G" data " \-H \-L \-N \-S" sort " \-T \-U \-V \-X" explain
.B NUMBER
.P
All options are optional.
.SH DESCRIPTION
The
.B isdnrate
program prints various information from rate\-files(5). It's main purpose
is the calculation of telefon rates from your location to an arbitrary
destination at a certain time and of a certain length for all the providers in a rate-file.
.P
.SS
.B NUMBER
.P
A telefon number may be
.IP
.B 1234
a local area number
.IP
.B 01234
a different area in your country
.IP
.B +12345
a foreign country
.IP
.B China
text for a foreign country
.IP
.B Paris
a town. 
.P
Note that currently only cities in AT, DE, NL are supported plus some international capitals.
.SS
.B OPTIONS
.P
.BI \-b best
Print only \fIbest\fP providers. Default is all.
.P
.BI \-d day 
Calc rates for \fIday\fP. \fIday\fP can be one of
.IP
.I dd
day of current month
.br
.I dd.mm
day month
.br
.I dd.mm.yy[yy]
day, month, year
.br
.I W
Weekday
.br
.I N
Weekday - night
.br
.I E
Weekend
.P
Default is now.
.P
.BI \-f from
Callers location. Default ist from isdn.conf.
.P
.BI \-h hour
Time \fIhh[:mm[:ss]]\fP of call. Default is now.
.P
.BI \-l len
Length of call in second. Default value is 153 secs.
.P
.BI \-p provider[,provider...]
Print only info for given \fIprovider\fP(s)
.P
.BI \-t takt
Print only providers, which have calculation impulses smaller or equal to \fItakt\fP.
Default is 9999.
.P
.BI \-v verbose
Set \fIverbose\fP level.
.P
.BI \-x provider[,provider...]
Exclude these \fIprovider\fP(s).
.P
.SS
.B DISPLAY OPTIONS
.P
.B \-C
Connect to a running isdnrate daemon. This avoids long startup times.
.P
.B \-D
Start as a daemon, waiting for connections from a client. The socket
.I /tmp/isdnrate
is created, which clients can connect to.
.P
.B \-D2
Start as a daemon and go background.
.P
.B \-CD3
Stop a running daemon.
.P
.B \-G n
Print raw data for connection. \fIn\fP may be currently 97,98,99.
.P
.B \-H
Print a header.
.P
.B \-L
Print a semicolon separated list of
.IP
vbn ; providername ; zone ; day ; time ; currency ; charge ; basicprice ; price ;
duration ; charge/min ; takt ; minimum price
.P
.B \-N
Show info about following numbers. If no provider is given, the preselected
provider is used.
.P
.B \-S sort
Sort output by \fIsort\fP, which may be 
.IP
.B v 
vbn or
.B n 
provider name. Default is by charge.
.P
.B \-T
Print a table of charges for daytimes weekday/weekend.
.P
.B \-V
Print version info and exit.
.P
.B \-X explain
Print additional information for charge or from rate-file.
.I explain
may be
.IP
.B 1 
(zone)
.br
.B 2
(charge/min, zone, day, time)
.br
.B 50
International areas
.br
.B 51
National zones
.br
.B COMMENT
Print C:COMMENT: info from rate files.
.P
Note: Various output options may not be used together. If you gave conflicting
options you'll see a warning.
.br
Note also: Sort by name or providernumber and 
.BI -b best
will bring you the first
.I best
providers in sorting order, not the cheapest.
.br
And finally: Some options like
.IR \-X50 ", " \-X51 ", " \-D ", " \-V
don't require a telefon
.IR Number .
.SH FILES
.IR rate-CC.dat ,
.IR holiday-CC.dat ,
.IR country-de.dat ,
.IR isdn.conf ,
.I telrate.cgi
and more.
.SH "SEE ALSO"
.BR rate-files(5) ", " isdnlog(8)
.SH BUGS
Propably. Sometimes more then one daemon can be started.
.SH AUTHORS
Andreas Kool <akool@isdn4linux.de> started this program.
Leopold Toetsch <lt@toetsch.at> continued the work and brought this man
page to you. Michael Reinelt
<reinelt@eunet.at> did the calculation engine and various tools for it.
