'\" t
'\" ** above should format a table **
.TH rate-files 5 "21.Sep.1999" -lt-
.SH NAME
rate-files \- Format of rate-files
.SH DESCRIPTION
The rate-files used by isdnlog(8) and by isdnrate(1) are textfiles with 
the following overall layout:
.P
.I Header entries
.P
.I Provider entries
.P
Comments starting with a hash-sign '#'
and empty lines are ignored. The first letter (tag) followed by a colon
discerns the entries. Additional white space may be used after the tags
to group content more readably.
.SS Header entries
.B V:versionsstring 
.IP
e.g. 
V:1.0-Germany [18-Mar-1999]
.P
.B U:currencyfmt currency
.IP
e.g.
U:%.3 DEM
.SS Provider entries
A new provider starts always with a 
.B P:
tag and consists of a 
.I Providerheader 
followed by 
.I Providerzones. 
.SS Providerheader
.P
.B P:providernumber providername
.IP
e.g.
P:02 UTA
.P
.B B:vbn
.P
VBN-Number for provider
.IP
e.g.
B:1002
.P
Note: Currently the vbn is calculated from the providernumber, but this may
change in the near future. The providernumber will be an arbitrary string then.
.P
.B C:COMMENT: comment
.P
.B COMMENT
may be an arbitrary string, but the following entries are used already:
.IP
.TS
tab (@);
l l.
\fBC:Name:\fP@Providername
\fBC:Maintainer:\fP@Who did the hard work
\fBC:TarifChanged:\fP@and when
\fBC:Address:\fP@Provideraddress
\fBC:Homepage:\fP@http:URL for provider
\fBC:TarifURL:\fP@URL for tarif info
\fBC:EMail:\fP@EMail-Address
\fBC:Telefon:\fP@Telefon number
\fBC:Telefax:\fP@Fax number
\fBC:Hotline:\fP@Telefon number
\fBC:Zone:\fP@Textual info about zones
\fBC:Special:\fP@Guess
\fBC:GT:\fP@Additional charge text
\fBC:GF:\fP@Additional charge formula
.TE
.P
.B D:zone
.P
Name of zone file (inserted for 
.B %s
in ZONEFILE=/usr/lib/isdn/zone-de-%s.dat from isdn.conf)
.IP
e.g.
D:dtag # DTAG zone file
.P
Note: if the provider has no different domestic zones, you should not define a D:tag.
.SS Providerzones
A Providerzone entry starts with a
.B Z:
tag followed by one or more
.B A:
and 
.B T:
tags and optional
.B S:
tags.
.P
A zone is a region of areas, for which the same rates apply. Interior and
foreign zones should not be mixed.
.P
.B Z:zonelist zonename
.P
where 
.I zonelist
is
.BR zone [ -zone ][ ,... ]
.IP
e.g.
Z:1-2,4 Interior
.P
.BR A:area [ ,area... ]
.P
.I area
may be a telefonnumber (including +countrycode for numbers which may
be reached from everywhere, a telefonnumber without +countrycode for numbers only reachable 
in the own country) or an area name or alias as defined in country-de.dat.
.IP
e.g.
A:19430,07189 # Online
.IP
e.g.
A:+31,Belgium # Int 1
.P
Note: There should always be exactly one zone with your countrycode 
or countryname respectively:
.IP
Z:4
.br
A:+49
.br
T:...
.P
.BR N:area [ ,area... ]
.P
.I area
as above, but numbers can not be dialed, because provider doesn't support it.
.P
Note: N/Y
.P
.BR T:daylist/timelist [ ! ] "=chargelist chargename"
.P
where
.I daylist
is
.BR day [ -day ][ ,... ]
and day is a daynumber (1=Mon, 2=Tue, ...) or W (weekday), E (weekend), H (holiday) or 
* (everyday).
.P
.I timelist 
is 
.BR hour [ -hour ][ ,hour ]
where hour is a number 0..23 or * for everytime.
.P
After 
.I daylist/timelist
follows
.B =
or
.B !=
which means, provider doesn't adjust rates on a rate boundary e.g. at 18h00.
.P
A
.I chargelist
consists of
.P
.RB [ MinCharge| ] Charge [ (Divider) ] /Duration [ :Delay ][ /Duration... ]
.P
where
.I MinCharge|
is an (optional) minimum charge,
.I Charge
the rate per 
.I Duration
seconds or optional rate per
.I (Divider)
seconds, 
.I Duration
is the length of one charge impuls in seconds. After
.I Delay
the next duration is taken. If delay ist not given it equals to the duration.
The last duration may not have a delay and may not be zero.
.IP
e.g.
T:1-4/8-18=1.5(60)/60/1 workday
.IP
Monday until Thursday, daytime the charge is 1.50 per minute, first charge is for one minute
after this charging is calculated in seconds interval.
.IP
e.g.
T:W/18-8=0.30|1.2(60)/1 night
.IP
On weekday, night, charge is the bigger of 1.20 per minute or 0.30
.IP
e.g.
T:*/*=0.50/0,1(60)/1 always
.IP
Everyday, everytime there is a connection fee of 0.50, then charge is 1 per minute.
.IP
e.g.
T:H/*=0.05/60:600,0.05/30 holidays
.IP
On holidays, everytime a charge of 0.05 per second in a minutes interval, after
10 minutes in half a minutes interval.
.IP
e.g.
T:*/*=1.3/0,0/1
.IP
Everyday, everytime the charge is 1.30 independent of duration, which could also
be written as T:*/*=1.3|0/1.
.P
.B S:servicename 
.P
.I servicename
is currently under construction.
.IP
e.g. 
S:Internet by call
.P
.SH SEE ALSO
.IR isdnlog(8) ,
.IR isdnrate(1) ,
isdnlog/README, rate-at.dat, tools/NEWS
.SH AUTHOR
Leopold Toetsch <lt@toetsch.at> (of this man page of course).
